Bug 27889 - Undefined symbol when loading libglide3.so.3
Undefined symbol when loading libglide3.so.3
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Glide3 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-15 19:32 EST by Martin Blix Grydeland
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-17 17:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The output from glxinfo with debug info (3.12 KB, text/plain)
2001-02-15 19:33 EST, Martin Blix Grydeland
no flags Details
The log from XFree86 (24.05 KB, text/plain)
2001-02-15 19:34 EST, Martin Blix Grydeland
no flags Details

  None (edit)
Description Martin Blix Grydeland 2001-02-15 19:32:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-0.99.11 i686; en-US; 0.7)
Gecko/20010118



I can't get direct rendering using my Voodoo5 card. I have found bug
reports regarding a missing tdfx_dri.so file in the XFree rpm distributed
with Fisher, and have recompiled the source rpm accordingly. Now when I run
glxinfo with debug output, I get an error line saying:
libGL: trying /usr/X11R6/lib/modules/dri/tdfx_dri.so
libGL error: dlopen failed: /usr/lib/libglide3.so.3: undefined symbol:
_grHwFifoPtr
The problem remains after a recompile of the Glide3 source rpm.

Reproducible: Always
Steps to Reproduce:
1.export LIBGL_DEBUG=verbose
2.glxinfo
3.
	

glxinfo.out:
libGL: trying /usr/X11R6/lib/modules/dri/tdfx_dri.so
libGL error: dlopen failed: /usr/lib/libglide3.so.3: undefined symbol:
_grHwFifoPtr
libGL: trying /usr/X11R6/lib/modules/dri/tdfx_dri.so
libGL error: dlopen failed: /usr/lib/libglide3.so.3: undefined symbol:
_grHwFifoPtr
display: :0.0  screen:0
direct rendering: No
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
client glx vendor string: SGI
client glx version string: 1.2
client glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context,
    GLX_ARB_get_proc_address
GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_import_context
OpenGL vendor string: VA Linux Systems, Inc.
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 Mesa 3.4
OpenGL extensions:
    GL_ARB_multitexture, GL_ARB_texture_cube_map, GL_ARB_tranpose_matrix,
    GL_EXT_abgr, GL_EXT_blend_color, GL_EXT_blend_func_separate,
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract,
    GL_EXT_clip_volume_hint, GL_EXT_compiled_vertex_array, GL_EXT_histogram,
    GL_EXT_packed_pixels, GL_EXT_paletted_texture, GL_EXT_point_parameters,
    GL_EXT_polygon_offset, GL_EXT_rescale_normal,
    GL_EXT_shared_texture_palette, GL_EXT_stencil_wrap, GL_EXT_texture3D,
    GL_EXT_texture_env_add, GL_EXT_texture_env_combine, GL_EXT_texture_object,
    GL_EXT_texture_lod_bias, GL_EXT_vertex_array, GL_HP_occlusion_test,
    GL_INGR_blend_func_separate, GL_MESA_window_pos, GL_MESA_resize_buffers,
    GL_NV_texgen_reflection, GL_PGI_misc_hints, GL_SGI_color_matrix,
    GL_SGI_color_table, GL_SGIS_pixel_texture, GL_SGIS_texture_edge_clamp,
    GL_SGIX_pixel_texture
glu version: 1.1 Mesa 3.4
glu extensions:
    GL_EXT_abgr
   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x23 24 tc  0 24  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x24 24 tc  0 24  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x25 24 tc  0 24  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x26 24 tc  0 24  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x27 24 tc  0 24  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x28 24 tc  0 24  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x29 24 tc  0 24  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2a 24 tc  0 24  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2b 24 dc  0 24  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x2c 24 dc  0 24  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x2d 24 dc  0 24  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x2e 24 dc  0 24  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x2f 24 dc  0 24  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0x30 24 dc  0 24  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0x31 24 dc  0 24  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x32 24 dc  0 24  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow




XFree86.0.log:
XFree86 Version 4.0.2 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 18 December 2000
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.4.0-0.99.11 i686 [ELF]
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Feb 15 23:55:48 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "Anaconda Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Voodoo5 (generic)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "no"
(**) XKB: layout: "no"
(WW) The directory "/usr/X11R6/lib/X11/fonts/TrueType" does not exist.
        Entry deleted from font path.
(**) FontPath set to "unix/:7100"
(**) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Open APM successful
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.3
        XFree86 XInput driver : 0.1
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x80000060, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)(II) PCI: 00:00:0: chip 1106,0691
card 0000,0000 rev 44 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1106,8598 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1106,0596 card 1106,0000 rev 12 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 1106,0571 card 0000,0000 rev 06 class 01,01,8a hdr 00
(II) PCI: 00:07:2: chip 1106,3038 card 0925,1234 rev 08 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 1106,3051 card 0000,0000 rev 20 class 06,00,00 hdr 00
(II) PCI: 00:09:0: chip 10ec,8139 card 1429,d010 rev 10 class 02,00,00 hdr 00
(II) PCI: 00:0a:0: chip 9004,6178 card 9004,7861 rev 03 class 01,00,00 hdr 00
(II) PCI: 00:0c:0: chip 1102,0002 card 1102,8027 rev 06 class 04,01,00 hdr 80
(II) PCI: 00:0c:1: chip 1102,7002 card 1102,0020 rev 06 class 09,80,00 hdr 80
(II) PCI: 01:00:0: chip 121a,0009 card 121a,0002 rev 01 class 03,00,00 hdr 00
(II) PCI: 01:00:1: chip 121a,0009 card 121a,0002 rev 01 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) Host-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0x0000c000 - 0x0000c0ff (0x100) IX[B]
        [1] -1  0x0000c400 - 0x0000c4ff (0x100) IX[B]
        [2] -1  0x0000c800 - 0x0000c8ff (0x100) IX[B]
        [3] -1  0x0000cc00 - 0x0000ccff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0xd0000000 - 0xd7ffffff (0x8000000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0xd8000000 - 0xdfffffff (0x8000000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(II) Bus -1: bridge is at (0:0:0), (-1,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus -1 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus-1 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(--) PCI:*(1:0:0) 3Dfx Interactive Voodoo5 rev 1, Mem @ 0xd0000000/26,
0xd8000000/27, I/O @ 0xc000/8
(--) PCI: (1:0:1) 3Dfx Interactive Voodoo5 rev 1, Mem @ 0xf8000000/27,
0xf8000000/27, I/O @ 0xfffffe00/8

(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
        [0] -1  0xe5000000 - 0xe5000fff (0x1000) MX[B]
        [1] -1  0xe5001000 - 0xe50010ff (0x100) MX[B]
        [2] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [3] -1  0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [4] -1  0xd0000000 - 0xd3ffffff (0x4000000) MX[B](B)
        [5] -1  0x0000e400 - 0x0000e407 (0x8) IX[B]
        [6] -1  0x0000e000 - 0x0000e01f (0x20) IX[B]
        [7] -1  0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [8] -1  0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [9] -1  0x0000d400 - 0x0000d41f (0x20) IX[B]
        [10] -1 0x0000d000 - 0x0000d00f (0x10) IX[B]
        [11] -1 0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges:
        [0] -1  0xffff0000 - 0xffffffff (0x10000) MX[B](B)
        [1] -1  0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [2] -1  0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [3] -1  0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xe5000000 - 0xe5000fff (0x1000) MX[B]
        [1] -1  0xe5001000 - 0xe50010ff (0x100) MX[B]
        [2] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [3] -1  0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [4] -1  0xd0000000 - 0xd3ffffff (0x4000000) MX[B](B)
        [5] -1  0x0000e400 - 0x0000e407 (0x8) IX[B]
        [6] -1  0x0000e000 - 0x0000e01f (0x20) IX[B]
        [7] -1  0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [8] -1  0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [9] -1  0x0000d400 - 0x0000d41f (0x20) IX[B]
        [10] -1 0x0000d000 - 0x0000d00f (0x10) IX[B]
        [11] -1 0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x00000000 - 0x000001ff (0x200) IX[B]E(II) All system
resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xe5000000 - 0xe5000fff (0x1000) MX[B]
        [6] -1  0xe5001000 - 0xe50010ff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [9] -1  0xd0000000 - 0xd3ffffff (0x4000000) MX[B](B)
        [10] -1 0xffff0000 - 0xffffffff (0x10000) MX[B](B)
        [11] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [12] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [13] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [14] -1 0x0000e400 - 0x0000e407 (0x8) IX[B]
        [15] -1 0x0000e000 - 0x0000e01f (0x20) IX[B]
        [16] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [17] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [18] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [19] -1 0x0000d000 - 0x0000d00f (0x10) IX[B]
        [20] -1 0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
        [21] -1 0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "fbdevhw"
(II) Loading /usr/X11R6/lib/modules/linux/libfbdevhw.a
(II) Module fbdevhw: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.0.2
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "pex5"
(II) Loading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Module pex5: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension X3D-PEX
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "pex5"
(II) Reloading /usr/X11R6/lib/modules/extensions/libpex5.a
(II) Loading extension X3D-PEX
(II) LoadModule: "record"
(II) Loading /usr/X11R6/lib/modules/extensions/librecord.a
(II) Module record: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.13.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension RECORD
(II) LoadModule: "xie"
(II) Loading /usr/X11R6/lib/modules/extensions/libxie.a
(II) Module xie: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XIE
(II) LoadModule: "tdfx"
(II) Loading /usr/X11R6/lib/modules/drivers/tdfx_drv.o
(II) Module tdfx: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.1(II) TDFX: Driver for
3dfx Banshee/Voodoo3 chipsets: 3dfx Banshee,
        3dfx Voodoo3, 3dfx Voodoo5
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(WW) TDFX: No matching Device section for instance (BusID PCI:1:0:1) found
(--) Chipset 3dfx Voodoo5 found
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
  [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xe5000000 - 0xe5000fff (0x1000) MX[B]
        [6] -1  0xe5001000 - 0xe50010ff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [9] -1  0xd0000000 - 0xd3ffffff (0x4000000) MX[B](B)
        [10] -1 0xffff0000 - 0xffffffff (0x10000) MX[B](B)
        [11] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [12] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [13] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [14] -1 0x0000e400 - 0x0000e407 (0x8) IX[B]
        [15] -1 0x0000e000 - 0x0000e01f (0x20) IX[B]
        [16] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [17] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [18] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [19] -1 0x0000d000 - 0x0000d00f (0x10) IX[B]
        [20] -1 0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
        [21] -1 0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xe5000000 - 0xe5000fff (0x1000) MX[B]
        [6] -1  0xe5001000 - 0xe50010ff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [9] -1  0xd0000000 - 0xd3ffffff (0x4000000) MX[B](B)
        [10] -1 0xffff0000 - 0xffffffff (0x10000) MX[B](B)
        [11] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [12] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [13] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [14] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [15] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [16] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [17] -1 0x0000e400 - 0x0000e407 (0x8) IX[B]
        [18] -1 0x0000e000 - 0x0000e01f (0x20) IX[B]
        [19] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [20] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [21] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [22] -1 0x0000d000 - 0x0000d00f (0x10) IX[B]
        [23] -1 0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
        [24] -1 0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
        [25] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [26] 0  0x000003c0 - 0x000003df (0x20) IS[B](II) Setting vga for
screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) TDFX(0): Softbooting the board (through the int10 interface).
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): Softbooting the board succeeded.
(**) TDFX(0): Depth 24, (--) framebuffer bpp 32
(==) TDFX(0): RGB weight 888
(==) TDFX(0): Default visual is TrueColor
(--) TDFX(0): Chipset: "3dfx Voodoo5"
(--) TDFX(0): Linear framebuffer at 0xD8000000
(--) TDFX(0): MMIO registers at addr 0xD0000000
(--) TDFX(0): PIO registers at addr 0xC000
(--) TDFX(0): VideoRAM: 32768 kByte Mapping 65536 kByte
(==) TDFX(0): Using gamma correction (1.0, 1.0, 1.0)
(II) TDFX(0): Monitor0: Using hsync range of 30.00-96.00 kHz
(II) TDFX(0): Monitor0: Using vrefresh range of 50.00-160.00 Hz
(II) TDFX(0): Clock range:  12.00 to 350.00 MHz
(WW) TDFX(0): Default mode "1024x768" deleted (bad mode
clock/interlace/doublescan)(WW) TDFX(0): Default mode "1600x1200" deleted
(hsync out of range)
(WW) TDFX(0): Default mode "1792x1344" deleted (hsync out of range)
(WW) TDFX(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) TDFX(0): Default mode "1920x1440" deleted (hsync out of range)
(--) TDFX(0): Virtual size is 1280x1024 (pitch 1280)
(**) TDFX(0): Mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(==) TDFX(0): DPI set to (75, 75)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/X11R6/lib/modules/linux/libint10.a
(II) TDFX(0): initializing int10
(II) TDFX(0): Primary V_BIOS segment is: 0xc000
(II) TDFX(0): VESA BIOS detected
(II) TDFX(0): VESA VBE Version 3.0
(II) TDFX(0): VESA VBE Total Mem: 16384 kB
(II) TDFX(0): VESA VBE OEM: 3dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Software Rev: 1.0
(II) TDFX(0): VESA VBE OEM Vendor: 3dfx Interactive, Inc.
(II) TDFX(0): VESA VBE OEM Product: Voodoo5 5500
(II) TDFX(0): VESA VBE OEM Product Rev: Version 1.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a(II) TDFX(0): VESA VBE DDC
supported
(II) TDFX(0): VESA VBE DDC Level 2
(II) TDFX(0): VESA VBE DDC transfer in appr. 8 sec.
(II) TDFX(0): VESA VBE DDC read successfully
(II) TDFX(0): Manufacturer: GSM  Model: 4a4c  Serial#: 16843009
(II) TDFX(0): Year: 2000  Week: 0
(II) TDFX(0): EDID Version: 1.1
(II) TDFX(0): Analog Display Input,  Input Voltage Level: 0.700/0.700 V
(II) TDFX(0): Signal levels configurable
(II) TDFX(0): Sync:  Separate  Composite  SyncOnGreen
(II) TDFX(0): Max H-Image Size [cm]: horiz.: 37  vert.: 27
(II) TDFX(0): Gamma: 2.70
(II) TDFX(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) TDFX(0): redX: 0.640 redY: 0.330   greenX: 0.273 greenY: 0.605
(II) TDFX(0): blueX: 0.142 blueY: 0.063   whiteX: 0.283 whiteY: 0.298
(II) TDFX(0): Supported VESA Video Modes:
(II) TDFX(0): 720x400@70Hz
(II) TDFX(0): 720x400@88Hz
(II) TDFX(0): 640x480@60Hz
(II) TDFX(0): 640x480@67Hz
(II) TDFX(0): 640x480@72Hz
(II) TDFX(0): 640x480@75Hz
(II) TDFX(0): 800x600@56Hz
(II) TDFX(0): 800x600@60Hz
(II) TDFX(0): 800x600@72Hz
(II) TDFX(0): 800x600@75Hz
(II) TDFX(0): 832x624@75Hz
(II) TDFX(0): 1024x768@87Hz (interlaced)
(II) TDFX(0): 1024x768@60Hz
(II) TDFX(0): 1024x768@70Hz
(II) TDFX(0): 1024x768@75Hz
(II) TDFX(0): 1280x1024@75Hz
(II) TDFX(0): 1152x870@75Hz
(II) TDFX(0): Manufacturer's mask: 0
(II) TDFX(0): Supported Future Video Modes:
(II) TDFX(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) TDFX(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) TDFX(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) TDFX(0): #3: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) TDFX(0): #4: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) TDFX(0): Supported additional Video Mode:
(II) TDFX(0): clock: 202.5 MHz   Image Size:  350 x 262 mm
(II) TDFX(0): h_active: 1600  h_sync: 1664  h_sync_end 1856 h_blank_end
2160 h_border: 0
(II) TDFX(0): v_active: 1200  v_sync: 1201  v_sync_end 1201 v_blanking:
1250 v_border: 0
(II) TDFX(0): Ranges: V min: 50  V max: 160 Hz, H min: 30  H max: 96 kHz,
PixClock max 210 kHz
(II) TDFX(0): Monitor name: StudioWorks 9
(II) TDFX(0): Monitor name: 95E
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.(II) resource ranges after preInit:
        [0] 0   0xd8000000 - 0xdfffffff (0x8000000) MX[B]
        [1] 0   0xd0000000 - 0xd3ffffff (0x4000000) MX[B]
        [2] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0xe5000000 - 0xe5000fff (0x1000) MX[B]
        [8] -1  0xe5001000 - 0xe50010ff (0x100) MX[B]
        [9] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [10] -1 0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
        [11] -1 0xd0000000 - 0xd3ffffff (0x4000000) MX[B](B)
        [12] -1 0xffff0000 - 0xffffffff (0x10000) MX[B](B)
        [13] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [14] -1 0xf8000000 - 0xffffffff (0x8000000) MX[B](B)
        [15] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [16] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [17] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [18] 0  0x0000c000 - 0x0000c0ff (0x100) IX[B]
        [19] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [20] -1 0x0000e400 - 0x0000e407 (0x8) IX[B]
        [21] -1 0x0000e000 - 0x0000e01f (0x20) IX[B]
        [22] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [23] -1 0x0000d800 - 0x0000d8ff (0x100) IX[B]
        [24] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [25] -1 0x0000d000 - 0x0000d00f (0x10) IX[B]
        [26] -1 0x0000c000 - 0x0000c0ff (0x100) IX[B](B)
        [27] -1 0xfffffe00 - 0xfffffeff (0x100) IX[B](B)
        [28] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [29] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(==) TDFX(0): Write-combining range (0xd8000000,0x4000000)
(II) TDFX(0): Textures Memory 16.11 MB
(0): [drm] loaded kernel module "tdfx"
(0): [drm] created "tdfx" driver at busid "PCI:1:0:0"
(0): [drm] added 4096 byte SAREA at 0xc9ccf000
(0): [drm] mapped SAREA 0xc9ccf000 to 0x40017000
(0): [drm] framebuffer handle = 0xd8000000
(0): [drm] added 1 reserved context for kernel
(II) TDFX(0): [drm] Registers = 0xd0000000
(II) TDFX(0): visual configs initialized
(II) TDFX(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Dashed Lines
        Offscreen Pixmaps
        Driver provided NonTEGlyphRenderer replacement
        Setting up tile and stipple cache:
                10 128x128 slots
(==) TDFX(0): Backing store disabled
(==) TDFX(0): Silken mouse enabled
(0): X context handle = 0x00000001
(0): [drm] installed DRM signal handler
(0): [DRI] installation complete(II) TDFX(0): direct rendering enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/psaux"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "no"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
SetKbdSettings - type: 0 rate: 30 delay: 500 snumlk: 0
SetKbdSettings - Succeeded
GetModeLine - scrn: 0 clock: 157500
GetModeLine - hdsp: 1280 hbeg: 1336 hend: 1496 httl: 1728
              vdsp: 1024 vbeg: 1025 vend: 1028 vttl: 1072 flags: 5
Comment 1 Martin Blix Grydeland 2001-02-15 19:33:10 EST
Created attachment 10180 [details]
The output from glxinfo with debug info
Comment 2 Martin Blix Grydeland 2001-02-15 19:34:03 EST
Created attachment 10181 [details]
The log from XFree86
Comment 3 Bill Nottingham 2001-02-15 19:42:33 EST
Are you using the libGL from X or from Mesa?
Comment 4 Martin Blix Grydeland 2001-02-16 11:58:03 EST
I am using libGL from Mesa. I beleive that to be the correct?
Comment 5 Martin Blix Grydeland 2001-02-16 12:18:45 EST
I found that the above mentioned undefined symbol was mentioned in the IA-64
patch for the Glide source. I recompiled the rpm without this patch and it
worked. So the problem is somehow related to this patch.
Comment 6 Glen Foster 2001-02-17 17:39:42 EST
We (Red Hat) should really try to resolve this before next release.
Comment 7 Bill Nottingham 2001-02-19 17:41:20 EST
Typo in the patch.

Fixed in Glide3-20001220-3.

Note You need to log in before you can comment on or make changes to this bug.